<?php
/**
* Return status limit
* @return int
*/
function throwStatus( ){
  if( defined( 'SESSION_KEY_NAME' ) && isset( $_SESSION[SESSION_KEY_NAME] ) && $_SESSION[SESSION_KEY_NAME] === true ){
    if( defined( 'CUSTOMER_PAGE' ) ){
      if( HIDDEN_SHOWS === true )
        return 0;
      else
        return 1;
    }
    else
      return 0;
  }
  else
    return 1;
} // end function throwStatus

/**
* Return value to $p variable from $_GET
* @return array
*/
function getUrlFromGet( ){
  global $a;
  if( isset( $_GET ) && is_array( $_GET ) ){
    foreach( $_GET as $mKey => $mValue ){
      if( strstr( $mKey, ',' ) ){
        $mKey = htmlspecialchars( $mKey );
        $aExp = explode( ',', $mKey );

        if( empty( $aExp[2] ) )
          $aExp[2] = 'p';

        for( $i = 2; $i < count( $aExp ); $i++ ){
          $aActions['o'.( $i )] = $aExp[$i];
          if( $aActions['o'.( $i )] == 'p' )
            $aActions['o'.( $i )] = null;
        } // end for

        if( is_numeric( $aExp[2] ) )
          $aExp[2] = 'p';

        if( is_numeric( $aExp[0] ) && !is_numeric( $aExp[1] ) ){
          $iProduct = $aExp[0];
          $aExp[0] = $aExp[1];
          $aExp[1] = $iProduct;
          $aExp[2] = 'products';
        }

        $aActions['o1'] = $aExp[0];
        $aActions['f'] = $aExp[2];
        $aActions['a'] = $aExp[1];
        $aActions['sLink']= $mKey;
        $a = $aActions['a'];

        return $aActions;
      }
    }
    $a = null;
    return Array( 'f' => 'p', 'a' => null, 'sLink' => 'p' );
  }
} // end function getUrlFromGet

/**
* Returns extensions icons
* @return array
*/
function throwIconsFromExt( ){
  return Array( 'rar'=>'zip', 'zip'=>'zip', 'bz2'=>'zip', 'gz'=>'zip', 'fla'=>'fla', 'mp3'=>'media', 'mpeg'=>'media', 'mpe'=>'media', 'mov'=>'media', 'mid'=>'media', 'midi'=>'media', 'asf'=>'media', 'avi'=>'media', 'wav'=>'media', 'wma'=>'media', 'msg'=>'msg', 'eml'=>'msg', 'pdf'=>'pdf', 'jpg'=>'pic', 'jpeg'=>'pic', 'jpe'=>'pic', 'gif'=>'pic', 'bmp'=>'pic', 'tif'=>'pic', 'tiff'=>'pic', 'wmf'=>'pic', 'png'=>'png', 'chm'=>'chm', 'hlp'=>'chm', 'psd'=>'psd', 'swf'=>'swf', 'pps'=>'pps', 'ppt'=>'pps', 'sys'=>'sys', 'dll'=>'sys', 'txt'=>'txt', 'doc'=>'txt', 'rtf'=>'txt', 'vcf'=>'vcf', 'xls'=>'xls', 'xml'=>'xml', 'tpl'=>'web', 'html'=>'web', 'htm'=>'web', 'com'=>'exe', 'bat'=>'exe', 'exe'=>'exe' );
} // end function throwIconsFromExt

/**
* Returns language based on url parameter
* @return string
*/
function getLanguageFromUrl( ){
  $aUrl = getUrlFromGet( );
  if( isset( $aUrl['o1'] ) ){
    $iLangPos = strpos( $aUrl['o1'], LANGUAGE_SEPARATOR );
    if( $iLangPos === false )
      return null;
    else
      return substr( $aUrl['o1'], 0, $iLangPos );
  }
  else
    return null;
} // end function getLanguageFromUrl

/**
* Display date changed by $config['time_diff']
* @return string
* @param int    $iTime
* @param string $sFormat
*/
function displayDate( $iTime = null, $sFormat = 'Y-m-d H:i' ){
  return isset( $iTime ) ? date( $sFormat, $iTime + ( TIME_DIFF * 60 ) ) : date( $sFormat );
} // end function displayDate

/**
* Return price format and display
* @return mixed
* @param mixed  $mPrice
*/
function displayPrice( $mPrice ){
  return $mPrice;
} // end function displayPrice

/**
* Return price format to save in database
* @return mixed
* @param mixed  $mPrice
*/
function normalizePrice( $mPrice ){
  return sprintf( '%01.2f', str_replace( ',', '.', $mPrice ) );
} // end function normalizePrice

/**
* Create price using two variables
* @return mixed
* @param mixed $mPrice1
* @param mixed $mPrice2
*/
function generatePrice( $mPrice1, $mPrice2 ){
  if( strstr( $mPrice2, '%' ) ){
    $mPrice2 = str_replace( '%', '', $mPrice2 );
    if( $mPrice2 < 0 ){
      return normalizePrice( $mPrice1 - ( $mPrice1 * ( -$mPrice2 / 100 ) ) );
    }
    else
      return normalizePrice( $mPrice1 + ( $mPrice1 * ( $mPrice2 / 100 ) ) ); 
  }
  else{
    return normalizePrice( $mPrice1 + $mPrice2 ); 
  }
} // end function generatePrice

/**
* Check email format
* @return bool
* @param  string  $sEmail
*/
function checkEmail( $sEmail ){
  return preg_match( "/^[a-z0-9_.-]+([_\\.-][a-z0-9]+)*@([a-z0-9_\.-]+([\.][a-z]{2,4}))+$/i", $sEmail );
} // end function checkEmail

/**
* Send e-mail
* @return string
* @param array  $aForm
* @param string $sFile
* @param string $sTargetMail
*/
function sendEmail( $aForm, $sFile = 'messages.tpl', $sTargetEmail = null ){
  extract( $aForm );
  $oTpl = TplParser::getInstance( );

  if( !empty( $sTopic ) && !empty( $sMailContent ) && checkEmail( $sSender ) === 1 ){
    $sMailContent = change2Latin( $sMailContent );
    $sTopic = change2Latin( $sTopic );

    if( !empty( $sPhone ) )
      $sMailContent = $GLOBALS['lang']['Telephone'].': '.change2Latin( $sPhone )."\n".$sMailContent;
    if( !empty( $sName ) )
      $sMailContent = $GLOBALS['lang']['Name_and_surname'].': '.change2Latin( $sName )."\n".$sMailContent;

    if( !isset( $sTargetEmail ) )
      $sTargetEmail = $GLOBALS['config']['email'];

    if( @mail( $sTargetEmail, $sTopic, $sMailContent, 'From: '.$sSender ) ){
      if( isset( $sFile ) )
        return $oTpl->tbHtml( $sFile, 'MAIL_SEND_CORRECT' );
    }
    else{
      if( isset( $sFile ) )
        return $oTpl->tbHtml( $sFile, 'MAIL_SEND_ERROR' );
    }
  }
  else{
    if( isset( $sFile ) )
      return $oTpl->tbHtml( $sFile, 'REQUIRED_FIELDS' );
  }
} // end function sendEmail
?>